<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:transform
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:n="http://projets.admisource.gouv.fr/xemelios/namespaces#anomally"
    version="2.0">
    <xsl:output method="xml" indent="yes" standalone="yes" encoding="ISO-8859-1"/>

    <xsl:template match="/*[position()=1]">
        <xsl:call-template name="writeElement">
            <xsl:with-param name="el" select="."/>
        </xsl:call-template>
    </xsl:template>
    
    <xsl:template name="writeElement">
        <xsl:param name="el"/>
        <xsl:element name="{name($el)}" namespace="http://projets.admisource.gouv.fr/xemelios/namespaces#anomally">
            <xsl:for-each select="$el/@*">
                <xsl:attribute name="{name(.)}" namespace="{namespace-uri(.)}">
                    <xsl:value-of select="."/>
                </xsl:attribute>
            </xsl:for-each>
            <xsl:value-of select="text()" disable-output-escaping="yes"/>
            <xsl:for-each select="$el/*">
                <xsl:call-template name="writeElement"><xsl:with-param name="el" select="."/></xsl:call-template>
            </xsl:for-each>
        </xsl:element>
    </xsl:template>
    
</xsl:transform>
